#include <QApplication>
#include <QLocale>
#include <QTranslator>
#include <QLibraryInfo>

//for focus - need?
//#include <QX11Info>

#include "dialog.h"

//#include <X11/Xlib.h>

int main(int argc, char *argv[])
{
  if (argc < 2 || (argc==2 && (strcmp(argv[1],"--help")==0 || strcmp(argv[1],"-h")==0))) {
    fprintf(stderr,"fly-dm-ask-pin PIN1LABELTXT or PIN2LABELTXT\n");
    return 0;
  }

  if ( !getenv("LANG") ) setenv( "LANG", "ru_RU.UTF-8", 0 );

  QApplication app( argc, argv );

  QTranslator *qtTranslator = new QTranslator( &app );
  if ( ! (  qtTranslator->load( QLocale::system(), QLatin1String("qt"), QLatin1String("_"), QLibraryInfo::location( QLibraryInfo::TranslationsPath ) )  &&
            app.installTranslator( qtTranslator ) ) ) {
            delete qtTranslator;
            fprintf(stderr,"fly-dm-ask-pin: can 't load/install qt translator\n");
  }

  QTranslator *translator = new QTranslator( &app );
  if ( ! (  translator->load( QLocale::system(), QLatin1String("fly-dm-ask-pin"), QLatin1String("_"), QLatin1String("/usr/share/fly/translations") )  &&
            app.installTranslator( translator ) ) ) {
            fprintf(stderr,"fly-dm-ask-pin: can't load/install app translator\n");
            delete translator;
  }

  bool currPIN=(argc>1? (strcmp(argv[1],"PIN1LABELTXT")==0) : true);

  Dialog *dialog=nullptr;
  for (;;) {
      dialog = new Dialog(currPIN);
      dialog->show();
      dialog->activateWindow();
//      dialog->setFocus();
//      if (dialog->winId()) XSetInputFocus( QX11Info::display(), dialog->winId(), RevertToParent,CurrentTime ); //need?

      app.exec();
      if (dialog->CheckResult(true)) break;
      delete dialog;
  }

  dialog->PrintResult();
  return 0;
}
