#ifndef KEYBOARD_H
#define KEYBOARD_H

#include "dm_common_global.h"

#include <QObject>


class DM_COMMONSHARED_EXPORT XKeyboard : public QObject
{
    Q_OBJECT

public:
    static XKeyboard* instance();
    virtual ~XKeyboard();

public:
    void init();
    int getXkbEventId() const;
    const QStringList getAvailableLayouts() const;
    const QString getCurrentLayout() const;
    const QString getLayout(const uint8_t group) const;
    void changeLayout() const;
    bool capsLockState() const;

signals:
    void capsLockStateChanged(bool lock);
    void layoutChanged(const QString& layout);

public slots:
    void xcbGenericEventHandle(const QByteArray& eventType, void* message, long* result);

private:
    explicit XKeyboard(QObject *parent = nullptr);

private:
    bool keyState(int iKey) const;

private:
    static XKeyboard* m_instance;
    int m_xkbEventId;
};

#endif // KEYBOARD_H
