#include "connectionmanager.h"


ConnectionManager::ConnectionManager(const ConnectionData& data,
                                     QObject *parent) :
    QObject(parent),
    Manager("connection"),
    m_data(data)
{
    if (data.allowClose || data.isReserve) {
        m_exitAction.isAvailable = true;
        if (data.isReserve) {
            m_exitAction.text = tr("Abort session");
        } else if (data.isLocal) {
            m_exitAction.text = tr("Restart X server");
        } else {
            m_exitAction.text = tr("Close connection");
        }
    } else {
        m_exitAction.isAvailable = false;
    }
}

ConnectionManager::~ConnectionManager()
{
}

const ConnectionManager::ExitAction ConnectionManager::exitAction() const
{
    return m_exitAction;
}

void ConnectionManager::performExitAction()
{
    if (m_data.isReserve) {
        emit exitConnectionRequest();
    } else {
        emit restartXServerRequest();
    }
}

bool ConnectionManager::switchDisplayAvailable() const
{
    return m_data.isLocal;
}

void ConnectionManager::switchDisplay(const int vt)
{
    emit switchDisplayRequest(vt);
}

bool ConnectionManager::chooserDialogAvailable() const
{
    return m_data.isChooserEnabled;
}
