#ifndef CONNECTIONMANAGER_H
#define CONNECTIONMANAGER_H

#include "dm_common_global.h"

#include "manager.h"
#include "structures.h"

#include <QObject>


class DM_COMMONSHARED_EXPORT ConnectionManager : public QObject, public Manager
{
    Q_OBJECT

public:
    struct ConnectionData
    {
        bool allowClose;
        bool isReserve;
        bool isLocal;
        bool isChooserEnabled;
    };

    struct ExitAction
    {
        bool isAvailable;
        QString text;
    };

signals:
    void restartXServerRequest();
    void exitConnectionRequest();
    void switchDisplayRequest(const int vt);
    void displaySessionsRequest();
    void updateDisplaySessions(const DpyDescriptions &sessions);
    void reloadToXDMCPDialog();

public:
    explicit ConnectionManager(const ConnectionData& data,
                               QObject* parent = nullptr);
    virtual ~ConnectionManager();

public:
    const ExitAction exitAction() const;
    void performExitAction();
    bool switchDisplayAvailable() const;
    void switchDisplay(const int vt);
    bool chooserDialogAvailable() const;

private:
    ExitAction m_exitAction;
    ConnectionData m_data;
    DpyDescriptions m_displaySessions;
};

#endif // CONNECTIONMANAGER_H
