#include "greetermanagers.h"


GreeterManagers::GreeterManagers(const QSet<Manager*>& managers)
{
    foreach (const auto manager, managers) {
        const auto id = manager->id();
        if (m_managers.contains(id)) {
            delete manager;
        } else {
            m_managers[id] = manager;
        }
    }
}

GreeterManagers::~GreeterManagers()
{
    qDeleteAll(m_managers);
}

Manager* GreeterManagers::get(const QString& id) const
{
    return m_managers.value(id);
}
