#include "keyboardmanager.h"


KeyboardManager::KeyboardManager(XKeyboard* keyboard, QObject* parent) :
    QObject(parent),
    Manager("keyboard"),
    m_keyboard(keyboard)
{
    connect(m_keyboard, &XKeyboard::layoutChanged,
            this, &KeyboardManager::layoutChanged);

    connect(m_keyboard, &XKeyboard::capsLockStateChanged,
            this, &KeyboardManager::capsLockStateChanged);
}

KeyboardManager::~KeyboardManager()
{
}

const QString KeyboardManager::getCurrentLayout() const
{
    return m_keyboard->getCurrentLayout();
}

void KeyboardManager::changeLayout() const
{
    m_keyboard->changeLayout();
}

bool KeyboardManager::capsLockState() const
{
    return m_keyboard->capsLockState();
}
