#ifndef KEYBOARDMANAGER_H
#define KEYBOARDMANAGER_H

#include "dm_common_global.h"

#include "manager.h"
#include "keyboard.h"

#include <QObject>


class DM_COMMONSHARED_EXPORT KeyboardManager : public QObject, public Manager
{
    Q_OBJECT

public:
    explicit KeyboardManager(XKeyboard* keyboard, QObject *parent = nullptr);
    ~KeyboardManager() override;

public:
    const QString getCurrentLayout() const;
    void changeLayout() const;
    bool capsLockState() const;

signals:
    void layoutChanged(const QString& layout);
    void capsLockStateChanged(const bool lock);

private:
    XKeyboard* m_keyboard;
};

#endif // KEYBOARDMANAGER_H
