#include "localauthmanager.h"


LocalAuthManager::LocalAuthManager(const int autoLoginDelay,
                                   const QString& autoLoginUser,
                                   QObject* parent) :
    QObject(parent),
    Manager("localAuth"),
    m_autoLoginDelay(autoLoginDelay),
    m_autoLoginUser(autoLoginUser)
{
}

LocalAuthManager::~LocalAuthManager()
{
}

bool LocalAuthManager::autoLoginEnabled() const
{
    return m_autoLoginDelay;
}

int LocalAuthManager::autoLoginDelay() const
{
    return m_autoLoginDelay;
}

const QString LocalAuthManager::autoLoginUser() const
{
    return m_autoLoginUser;
}

const QString LocalAuthManager::hostname() const
{
    return m_hostname;
}

void LocalAuthManager::setHostname(const QString &hostname)
{
    m_hostname = hostname;
}

void LocalAuthManager::performLoginRequest(const AuthData& data)
{
    emit loginRequest(data);
}

void LocalAuthManager::performAutoLoginRequest()
{
    emit autoLoginRequest();
}

bool LocalAuthManager::focusPassword() const
{
    return m_focusPassword;
}

void LocalAuthManager::setFocusPassword(bool focusPassword)
{
    m_focusPassword = focusPassword;
}
