#ifndef SESSIONSMANAGER_H
#define SESSIONSMANAGER_H

#include "dm_common_global.h"

#include <QObject>

#include "manager.h"
#include "sessiondescription.h"


class DM_COMMONSHARED_EXPORT SessionsManager : public QObject, public Manager
{
    Q_OBJECT

public:
    explicit SessionsManager(const SessionList& sessionsDescriptions, QObject *parent = nullptr);
    ~SessionsManager() override;

signals:
    void setNextSessionTypeRequest(const QString& type);

public:
    const SessionList availableSessions() const;
    void setNextSessionType(const QString& type);

private:
    SessionList m_sessionsDescriptions;
};

#endif // SESSIONSMANAGER_H
