#ifndef SHUTDOWNMANAGER_H
#define SHUTDOWNMANAGER_H

#include "dm_common_global.h"

#include <QObject>
#include "manager.h"
#include "structures.h"


class DM_COMMONSHARED_EXPORT ShutdownManager : public QObject, public Manager
{
    Q_OBJECT

public:
    explicit ShutdownManager(const bool allowShutdownNone, QObject* parent = nullptr);
    ~ShutdownManager() override;

signals:
    void shutdownRequest(const ShutdownAction action);

public:
    bool allowShutdownNone() const;

public slots:
    void doShutdown(const ShutdownAction action);

private:
    bool m_allowShutdownNone;
};

#endif // SHUTDOWNMANAGER_H
