#ifndef VIRTUALKEYBOARDMANAGER_H
#define VIRTUALKEYBOARDMANAGER_H

#include "dm_common_global.h"

#include <QObject>
#include <QProcess>

#include "manager.h"


class DM_COMMONSHARED_EXPORT VirtualKeyboardManager : public QObject, public Manager
{
    Q_OBJECT

public:
    explicit VirtualKeyboardManager(const QString& command, const int dpi = 96, QObject* parent = nullptr);
    ~VirtualKeyboardManager() override;

signals:
    void errorOccurred(const QString& text);

public slots:
    void open();
    void close();

private slots:
    void errorOccurredHandle(const QProcess::ProcessError error);

private:
    QProcess m_process;
};

#endif // VIRTUALKEYBOARDMANAGER_H
