#include "process.h"


const ProgramCommand ProgramCommand::fromString(const QString& string)
{
    ProgramCommand programCommand;

    auto parts = string.split(QChar::Space, QString::SkipEmptyParts);
    if (!parts.isEmpty()) {
        programCommand.program = parts.takeFirst();
        programCommand.arguments = parts;
    }

    return programCommand;
}

const QString ProgramCommand::toString() const
{
    return (QStringList() << program << arguments).join(QChar::Space);
}
