#ifndef SESSIONDESCRIPTION_H
#define SESSIONDESCRIPTION_H

#include "dm_common_global.h"

#include <QString>
#include <QMap>
#include <QSettings>
#include <QRegularExpression>


struct SessionDescription
{
    using LocaleStrings = QMap<QString, QString>;

    QString type;
    LocaleStrings name;
    LocaleStrings comment;
    bool hidden;
    QString exec;
    QString tryExec;
    QString icon;
};

using SessionList = QList<SessionDescription>;


class DM_COMMONSHARED_EXPORT SessionReader
{
public:
    explicit SessionReader();
    virtual ~SessionReader();

public:
    static const SessionList readDirs(const char** paths);
    static const SessionList readDirs(const QStringList& paths);

private:
    static const SessionDescription create(const QString& path);
    static const SessionDescription::LocaleStrings readLocaleStrings(const QSettings& settings,
                                                                     const QString& nameKey,
                                                                     const QRegularExpression& regExp);
};


#endif // SESSIONDESCRIPTION_H
