#ifndef STRUCTURES_H
#define STRUCTURES_H

#include <QString>
#include <QIcon>


struct DpyDescription
{
    QString display;
    QString from;
    QString user;
    QString session;
    int vt;
    int flags;
    int count;

    QString decodeLoc;
    QString decodeUser;
    bool isCurrentSession;
};

using DpyDescriptions = QList<DpyDescription>;


enum ShutdownAction
{
    Shutdown = 0,
    Reboot,
    ScheduleShutdown,
    Sleep,
    SuspendToRam,
    SuspendToDisk
};

struct EnvironmentData
{
    QString locale;
    QString dataDir;
};

struct UserData
{
    QString username;
    QString hostname;
    QIcon icon;
    bool isLoggerd = false;
    bool isTokenUser = false;
};

using UsersData = QList<UserData>;

#endif // STRUCTURES_H
