#include "themeinfo.h"

#include <QFileInfo>


ThemeInfo::ThemeInfo(const QString& path) :
    m_path(path),
    m_description(m_path + "/KdmGreeterTheme.desktop")
{
}

ThemeInfo::~ThemeInfo()
{
}

void ThemeInfo::read()
{
    m_description.read();
}

const QString ThemeInfo::path() const
{
    return m_path;
}

const QString ThemeInfo::name() const
{
    return QFileInfo(m_path).fileName();
}

const ThemeDescription ThemeInfo::description() const
{
    return m_description;
}

bool ThemeInfo::isUiTheme() const
{
    return  QFileInfo(m_description.greeter()).completeSuffix() == "ui";
}
