#ifndef THEMESETTINGS_H
#define THEMESETTINGS_H

#include "dm_common_global.h"

#include <QString>
#include <QColor>
#include <yaml-cpp/node/node.h>


class DM_COMMONSHARED_EXPORT ThemeSettings
{
public:
    struct Data {
        bool defined = false;
    };

    struct BlurData : public Data {
        struct Enable : public Data { bool value = false; } enable;
        struct Radius : public Data { double value = 0.0; } radius;
    };

    struct LogoData : public Data {
        struct Enable : public Data { bool value = false; } enable;
        struct Path : public Data { QString value; } path;
    };

    struct BackgroundData : public Data {
        struct Path : public Data { QString value; } path;
        struct ColorOverlay : public Data { QColor value; } colorOverlay;
        BlurData blur;
        LogoData logo;
    };

public:
    explicit ThemeSettings();
    virtual ~ThemeSettings();

public:
    void load(const QString& path);
    const BackgroundData background() const;

private:
    YAML::Node m_config;
};

#endif // THEMESETTINGS_H
