#ifndef TOKENWATCHER_H
#define TOKENWATCHER_H

#include <QObject>
#include <QFileSystemWatcher>

class TokenWatcher : public QObject
{
    Q_OBJECT
public:
    static TokenWatcher *instance();

    const QStringList init();

private:
    explicit TokenWatcher(QObject *parent = nullptr);

    const QStringList readToken();

    static TokenWatcher *m_instance;
    QFileSystemWatcher m_watcher;

signals:
    void tokenUsersChanged(const QStringList &users);

private slots:
    void dirChanged();
    void fileChanged();
};

#endif // TOKENWATCHER_H
