#ifndef UTILS_H
#define UTILS_H

#include "dm_common_global.h"

#include <QString>
#include <QWidget>
#include <QApplication>
#include <QFile>
#include <QPixmap>
#include <QIcon>
#include <QAction>

#include "exceptions.h"


namespace Utils DM_COMMONSHARED_EXPORT
{
    template<typename T>
    T findWidget(const QString &name, const QWidget *parent) // TODO
    {
        const auto widget = parent->findChild<T>(name);

        if (!widget) {
            throw CommonException(QApplication::tr("Widget '%1' not found in parent '%2'").arg(name).arg(parent->objectName()));
        }

        return widget;
    }

    const QString shortSystemLocale();

    QFile* openFile(const QString& path);

    const QSize caclulateRealPaintDeviceSize(QPaintDevice* device);

    const QPixmap circlePixmapFromIcon(const QIcon& icon, const QSize& size);

    const QPixmap circlePixmapFromIconWithEmblem(const QIcon &icon, const QSize &size, const QIcon &emblem);

    // from dm_greet
    const QRect screenGeometry();
    std::string FindFlyWallPaper(int screenWidth, int screenHeight, bool *exists, const QString& dataDir);
    std::string FlyDefaultLogoPath(std::string logoName, int desktopWidth, int desktopHeight, std::string logoColor);
    const QImage blurred(const QImage& image, const QRect& rect, int radius, bool alphaOnly = false);

    bool isUserNameInGroup(const char *groupName, const char *userName);
}

#endif // UTILS_H
