#include "autologindialog.h"
#include "ui_autologindialog.h"

#include <QPushButton>


AutoLoginDialog::AutoLoginDialog(const QString& username, const int delay, QWidget* parent) :
    QDialog(parent),
    m_ui(new Ui::AutoLoginDialog),
    m_username(username),
    m_delay(delay)
{
    m_ui->setupUi(this);
    const auto cancelButton = m_ui->buttonBox->button(QDialogButtonBox::Cancel);
    if (cancelButton) {
        cancelButton->setFocus();
    }
    m_timer.setInterval(1000);
    connect(&m_timer, &QTimer::timeout,
            this, &AutoLoginDialog::onTimerTimeout);
}

AutoLoginDialog::~AutoLoginDialog()
{
    delete m_ui;
}

int AutoLoginDialog::exec()
{
    updateText();
    m_timer.start();
    return QDialog::exec();
}

void AutoLoginDialog::onTimerTimeout()
{
    m_delay = std::max(m_delay - 1, 0);
    updateText();
    if (m_delay == 0) {
        accept();
    }
}

void AutoLoginDialog::updateText()
{
    m_ui->label->setText(tr("The user %1 will be automatically logged in after %2 seconds").arg(m_username).arg(m_delay));
}
