#ifndef BASETHEMEWIDGET_H
#define BASETHEMEWIDGET_H

#include "dm_common_global.h"

#include <QWidget>

#include "managers/greetermanagers.h"
#include "themedescription.h"
#include "structures.h"


class DM_COMMONSHARED_EXPORT BaseThemeWidget : public QWidget
{
    Q_OBJECT

public:
    explicit BaseThemeWidget(QWidget* parent = nullptr);
    virtual ~BaseThemeWidget();

public:
    virtual void load(const ThemeDescription& themeDescription, GreeterManagers* managers, const EnvironmentData& environment) = 0;
    virtual void exec();
    virtual const QPixmap backgroundPixmap() const;

protected:
    void insertManagers(GreeterManagers* managers);

protected:
    GreeterManagers* m_managers;
    QList<QWidget*> m_widgets;
};

//#define BaseThemeWidget_iid "fly-qdm/0.0"
//Q_DECLARE_INTERFACE(BaseThemeWidget, BaseThemeWidget_iid)

class DM_COMMONSHARED_EXPORT AbstractPluginThemeLoader: public QObject
{
    Q_OBJECT

public:
    explicit AbstractPluginThemeLoader(QObject* parent = nullptr);
    virtual ~AbstractPluginThemeLoader();

    virtual BaseThemeWidget* createTheme() const = 0;
};

#define AbstractPluginThemeLoader_iid "fly-qdm/0.0"
Q_DECLARE_INTERFACE(AbstractPluginThemeLoader, AbstractPluginThemeLoader_iid)

#endif // BASETHEMEWIDGET_H
