#ifndef DATETIMEWIDGETHANDLER_H
#define DATETIMEWIDGETHANDLER_H

#include "dm_common_global.h"

#include <QObject>
#include <QLabel>
#include <QTimer>
#include <QTime>
#include <QDate>
#include <QRegularExpression>


class DM_COMMONSHARED_EXPORT DateTimeWidgetHandler : public QObject
{
    Q_OBJECT

public:
    explicit DateTimeWidgetHandler(QObject* parent = nullptr);
    virtual ~DateTimeWidgetHandler();

public:
    void load(QWidget* sourceWidget);
    void setDateFormat(const QString& format);
    void setDateToUpper(const bool toUpper = true);
    void setDateRemoveRegExp(const QRegularExpression& regExp);
    void setTimeFormat(const QString& format);
    void start();
    void stop();
    void update();

private slots:
    void timerTimeout();

private:
    void updateDate(const QDate& date);
    void updateTime(const QTime& time);

private:
    QLabel* m_dateLabel;
    QLabel* m_timeLabel;
    QTimer m_timer;
    QString m_dateFormat;
    QString m_timeFormat;
    QRegularExpression m_dateRemoveRegExp;
    bool m_dateToUpper;
};

#endif // DATETIMEWIDGETHANDLER_H
