#ifndef NEWPASSWORDDIALOG_H
#define NEWPASSWORDDIALOG_H

#include "dm_common_global.h"

#include <QDialog>
#include <QLineEdit>
#include <QLabel>
#include <QDialogButtonBox>

class DM_COMMONSHARED_EXPORT NewPasswordDialog : public QDialog
{
    Q_OBJECT
public:
    NewPasswordDialog(QWidget *parent, const bool withAuth);

private:
    bool m_withAuth;

    int m_passwordChangeErrors = 0;

    QLabel *m_messageLabel;

    QLineEdit *m_oldPasswordLineEdit;
    QLineEdit *m_newPasswordLineEdit;
    QLineEdit *m_repeatNewPasswordLineEdit;

    QDialogButtonBox *m_buttonBox;

signals:
    void insertionCompleted(const QString &oldPassword,
                            const QString &newPassword,
                            const QString &confirmPassword);

public slots:
    void showErrorMessage(const QString &message, const bool isPasswordChangeError = false);
    void acceptDialog();

private slots:
    void accept() override;

    void handleErrorMessage();
    void showNormalMessage();
    void enableButtonBox();
};

#endif // NEWPASSWORDDIALOG_H
