#ifndef USERCELLWIDGET_H
#define USERCELLWIDGET_H

#include "dm_common_global.h"

#include <QObject>
#include <QWidget>
#include <QIcon>
#include <QLabel>

#include "structures.h"


class DM_COMMONSHARED_EXPORT UserCellWidget : public QWidget
{
    Q_OBJECT

public:
    explicit UserCellWidget(const UserData& data, QWidget* parent = nullptr);
    virtual ~UserCellWidget();

public:
    void load(QWidget* widget);
    const UserData userData() const;

private:
    void setIcon(const QIcon& icon, const bool withEmblem = false, const QIcon &emblem = QIcon());
    void setUsername(const QString& username);
    void setHostname(const QString& hostname);
    void setLogged(const bool logged = true);

private:
    UserData m_data;
    QLabel* m_iconLabel;
    QLabel* m_usernameLabel;
    QLabel* m_hostnameLabel;
    QLabel* m_isLoggedLabel;
};

#endif // USERCELLWIDGET_H
