/*

Conversation widget for kdm greeter

Copyright (C) 1997, 1998 Steffen Hansen <hansen@kde.org>
Copyright (C) 2000-2003 Oswald Buddenhagen <ossi@kde.org>
Copyright (C) 2009 Jaroslav Barton <djaara@djaara.net>


This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/


#ifndef KGREET_FPRINT_H
#define KGREET_FPRINT_H

#include "SensorAnimLabel.h"

#include "kgreeterplugin.h"
#include <QObject>

class QLineEdit;
//class KSimpleConfig;
class QLabel;
class QTimer;

class KFprintGreeter : public QObject, public KGreeterPlugin {
	Q_OBJECT

  public:
	KFprintGreeter( KGreeterPluginHandler *handler,
	                 QWidget *parent,
	                 const QString &fixedEntitiy,
	                 Function func, Context ctx );
	~KFprintGreeter();
	virtual void loadUsers( const QStringList &users ) override;
	virtual void presetEntity( const QString &entity, int field ) override;
	virtual QString getEntity() const override;
	virtual void setUser( const QString &user ) override;
	virtual void setEnabled( bool on ) override;
	virtual bool textMessage( const char *message, bool error ) override;
	virtual void textPrompt( const char *prompt, bool echo, bool nonBlocking ) override;
	virtual bool binaryPrompt( const char *prompt, bool nonBlocking ) override;
	virtual void start() override;
	virtual void suspend() override;
	virtual void resume() override;
	virtual void next() override;
	virtual void abort() override;
	virtual void succeeded() override;
	virtual void failed() override;
	virtual void revive() override;
	virtual void clear() override;

  public Q_SLOTS:
	void slotChanged();
	void timeoutSlot();

  private:
	void setActive( bool enable );
	void returnData();
	void showText(const QString &text);

	SensorAnimLabel *m_animLabel;
	QLabel *m_loginLabel;
    QLabel *m_fprintStatus;
	QLineEdit *m_loginEdit;
	QTimer *m_timer;
	QTimer *m_labelTimer;
	QString m_sensor;
	QString m_fixedUser;
    QString m_curUser;
	Function m_func;
	Context m_ctx;
	bool authTok, authStarted;
};

#endif /* KGREET_FPRINT_H */
